- Qt 5.15
- Qt Charts
- C++ Classes
- QAreaLegendMarker
- Qt Charts | Commercial or GPLv3

# QAreaLegendMarker Class

The QAreaLegendMarker class is a legend marker for an area series. More...

Header: | #include <QAreaLegendMarker>
Inherits: | QLegendMarker

- List of all members, including inherited members

## Public Functions

virtual | ~QAreaLegendMarker()

## Reimplemented Public Functions

virtual QAreaSeries * | series() override
virtual LegendMarkerType | type() override

## Detailed Description

An area legend marker is related to a QAreaSeries object, so that one area series results in one marker.

See also QLegend and QAreaSeries.

## Member Function Documentation

### `[virtual]` QAreaLegendMarker::~QAreaLegendMarker()

Removes the legend marker for an area series.

### `[override virtual]` QAreaSeries *QAreaLegendMarker::series()

Reimplements: QLegendMarker::series().

### `[override virtual]` LegendMarkerType QAreaLegendMarker::type()

Reimplements: QLegendMarker::type().